export const useTagStore = defineStore('tag', () => {
    // async function fetchByCode(code: string) {
    //     const { data, error } = await useFetch<any>(`/api/services/tag`, { query: {code: code}})
    //     if(error.value) {
    //         return null
    //     }
    //     return data.value[0]
    // }

    async function fetchById(id: string) {
        const { data, error } = await useFetch<any>(`/api/services/tag`, {
            query: {
                tagId: id
            }
        })
        if(error.value) {
            return null
        }

        return data.value
    }

    return { fetchById }
})

if(import.meta.hot) {
    import.meta.hot.accept(acceptHMRUpdate(useTagStore, import.meta.hot))
}